## org.eclipse.emf.databinding.internal
Class EMFPropertyHelper

    java.lang.Object
      org.eclipse.emf.databinding.internal.EMFPropertyHelper

    public class EMFPropertyHelper

extends java.lang.Object

PROVISIONAL: This API is subject to arbitrary change, including renaming or removal.

Since:
  2.5

Constructor Summary
`EMFPropertyHelper()`

Method Summary
`static java.lang.String` `propertyName(EStructuralFeature eStructuralFeature)`
`static java.lang.String` `shortClassName(EStructuralFeature eStructuralFeature)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFPropertyHelper

    public EMFPropertyHelper()

Method Detail

### propertyName

    public static java.lang.String propertyName(EStructuralFeature eStructuralFeature)

  Parameters:
    `eStructuralFeature` -
  Returns:
    String description of property descriptor

### shortClassName

    public static java.lang.String shortClassName(EStructuralFeature eStructuralFeature)

  Parameters:
    `eStructuralFeature` -
  Returns:
    class name excluding package

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.